Последние сообщения

Последние сообщения

Страницы: [1] 2 3 ... 10
1
AutoCAD .NET API / Re: Радиальные размеры
« Последний ответ от Александр Ривилис 16-01-2018, 17:17:04 »
А надо что бы было так:
Насколько я помню такое можно сделать только при помощи LEADER или MLEADER.
2
AutoCAD .NET API / Радиальные размеры
« Последний ответ от OlegSysa 16-01-2018, 16:53:37 »
День добрый!
Создаю радиальный размер.
Почти все настроил, не могу только найти одну настройку.
Как указать этот размер без указания центра окружности?
То есть что бы была просто размерная линия со стрелкой, которая указывает на окружность, но без продолжения до центра окружности.
Сейчас вот так:



А надо что бы было так:




Спасибо!
3
VBA / Re: Вставка статичного блока в ячейку таблицы Autocad
« Последний ответ от pavka_97 15-01-2018, 20:51:52 »
Ура!:) Буду разбираться. Спасибо.
4
P.s. Я так полагаю, что вставку по условию тоже можно домыслить (допустим если значение в одной ячейке совпадает с именем вставляемого блока в другой)?
Всё что угодно. :)
5
VBA / Re: Вставка статичного блока в ячейку таблицы Autocad
« Последний ответ от pavka_97 15-01-2018, 20:29:29 »
А ведь верно :). А в 32-х разрядных работает и без ptr. Спасибо большое!
 P.s. Я так полагаю, что вставку по условию тоже можно домыслить (допустим если значение в одной ячейке совпадает с именем вставляемого блока в другой)?
6
Проверил у себя вот этот код:
Код - Visual Basic [Выбрать]
  1. Sub BlockIntoAcadTable()
  2.      
  3.       Dim name As String
  4.       Dim block As AcadBlock
  5.       Dim ID As LONG_PTR
  6.       Dim table As AcadTable
  7.      
  8.       On Error Resume Next
  9.      
  10.       name = "1"
  11.      
  12.       Set block = ThisDrawing.Blocks(name)
  13.       ID = block.ObjectID
  14.      
  15.       On Error Resume Next
  16.       ThisDrawing.SelectionSets("SS").Delete
  17.       Set ss = ThisDrawing.SelectionSets.Add("SS")
  18.       ss.SelectOnScreen
  19.      
  20.       For Each table In ss
  21.         table.SetCellType 5, 5, acBlockCell
  22.         table.SetBlockTableRecordId 5, 5, ID, True
  23.       Next
  24.      
  25. End Sub

Работает. В ячейку [6:F] вставляется и масштабируется блок с именем 1.
7
А что не так в коде?
Возможно не хватает:
Код - Visual Basic [Выбрать]
  1. table.RecomputeTableBlock(True)
8
Да, спасибо Дмитрий. Я действительно проверил скорость в режиме отладки. Без нее значительно быстрее.
9
VBA / Вставка статичного блока в ячейку таблицы Autocad
« Последний ответ от pavka_97 15-01-2018, 16:59:03 »
Добрый день! По мотивам здешних видеоуроков VBA увлекся программированием (стаж без году неделя  :(). До поры справлялся сам, но с этой задачкой уперся в стену. В пространстве модели имеется таблица автокад и статичный блок. Требуется в конкретную ячейку вставить этот блок.

Код - Visual Basic [Выбрать]
  1.  Sub BlockIntoAcadTable()
  2.  
  3.   Dim name As String
  4.   Dim block As AcadBlock
  5.   Dim ID As Long
  6.   Dim table As AcadTable
  7.  
  8.   On Error Resume Next
  9.  
  10.   name = "1"
  11.  
  12.   Set block = ThisDrawing.Blocks(name)
  13.   ID = block.objectID32
  14.  
  15.   ThisDrawing.SelectionSets("SS").Delete
  16.   Set ss = ThisDrawing.SelectionSets.Add("SS")
  17.   ss.SelectOnScreen
  18.  
  19.   For Each table In ss
  20.      
  21.   table.SetCellType 5, 5, acBlockCell
  22.   table.SetBlockTableRecordId 5, 5, ID, True
  23.      
  24.   Next
  25.  
  26. End Sub

Направте в нужную сторону новичка.

Ps. Windows7, 64, Autocad2016Eng

 
10
Здравствуйте,
Данное событие прошло 24-26 ноября 2017 г на площадке Центра конвергентных инноваций Университета ИТМО.
Участникам предлагалось разработать оригинальное приложение/веб-сервис с применением технологий облачной платформы Forge, которая эффективно интегрирует интерактивный просмотр 3D-моделей в веб-приложение для решения некоторой практической задачи.

Более подробную информацию вы можете посмотреть в новостной ленте университетов, которые принимали участие в конкурсе, например, в новостях университета ИТМО (http://news.ifmo.ru/ru/startups_and_business/innovations/news/7140/), или в новостях Московского Политехнического Университета (http://mospolytech.ru/news_new.php?id=10046).

По результатам 3D хакатона были отмечены 3 команды, поделившие между собой призовые места.

1ое место ПИК: Прототип системы управления строительством в реальном времени – приложение для застройщика, которое связывает прораба, склад, монтажника и крановщика. Приложение позволяет эффективно загрузить подъемный кран работой.
2ое место Moscow Polytech team: Прототип приложения для приемки автомобиля в диллерском центре, где собрана информация о всех предыдущих обращениях, а также результаты работы над деталями. Заявка на ремонт оставляется на 3D модели двигателя, шасси, механизма управления и т.д., что позволяет всем отделам иметь доступ к наглядной и актуальной информации
2ое место UNIOS: Прототип IoT системы - при срабатывании датчика приложение покажет, где он расположен на 3D модели здания, а графики проиллюстрируют в реальном времени изменение данных с этого устройства.



Страницы: [1] 2 3 ... 10